Adds new thing (deprecated)
POSThttps://apis.<domain>/iot/provision/mapping
deprecated
This endpoint has been deprecated and may be replaced or removed in future versions of the API.
Adds new thing. Deprecated: use POST /things instead.
Authorization Action:
core:provision:mapping
Request
- application/json
Bodyrequired
Provision thing request body
namestring
tenantstringrequired
modelstringrequired
init_idstringrequired
External identifier (MAC address or similar)
init_keystringrequired
External key
migration_keystring
migration_key_quotainteger<int32>
Responses
- 201
- 400
- 401
- 500
Created
Failed due to malformed JSON.
Missing or invalid access token provided.
Unexpected server-side error occurred.
Authorization: http
name: bearerAuthtype: httpscheme: bearerdescription: * Users access: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://apis.<domain>/iot/provision/mapping");
request.Headers.Add("Authorization", "Bearer <token>");
var content = new StringContent("{\n \"name\": \"string\",\n \"tenant\": \"string\",\n \"model\": \"string\",\n \"init_id\": \"string\",\n \"init_key\": \"string\",\n \"migration_key\": \"string\",\n \"migration_key_quota\": 0\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());